NAME "DP Hash"
!define PRODUCT "DP Hash"
!define VERSION "1.3"

!define URLInfoAbout "http://www.paehl.de"
!define YourName "Dirk Paehl"

!include "MUI.nsh"

!define HAVE_UPX

!ifdef HAVE_UPX
!packhdr tmp.dat "upx -9 tmp.dat"
!endif

CRCCheck On
SetCompressor lzma

OutFile "setup.exe"
BRANDINGTEXT "Created with NSIS Editor (c) by Dirk Paehl"

InstallDir "$PROGRAMFILES\${PRODUCT}"
InstallDirRegKey HKCU "Software\${PRODUCT}" ""

;!insertmacro MUI_PAGE_LICENSE "license.txt"
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!define MUI_ABORTWARNING

!define MUI_HEADERBITMAP "${NSISDIR}\Contrib\Icons\modern-header.bmp"
!define MUI_SPECIALBITMAP "${NSISDIR}\Contrib\Icons\modern-wizard.bmp"

!insertmacro MUI_LANGUAGE "english"
!insertmacro MUI_LANGUAGE "italian"
!insertmacro MUI_LANGUAGE "german"
!insertmacro MUI_LANGUAGE "czech"
;added here you language
;important info: If you  remove one from this language  delete the language in the following too
; Function un.onUninstSuccess
; Function un.onInit

Section "section_1" section_1
SetOutPath "$INSTDIR"
File "dp_hash.exe"
File "info.txt"
SetOutPath $INSTDIR\locale
File /r "locale\*.*"
SectionEnd

Section Icons
# Insert here your Icons
CreateDirectory "$SMPROGRAMS\${PRODUCT}"
CreateShortCut "$DESKTOP\dp_hash.lnk" "$INSTDIR\dp_hash.exe" "" "$INSTDIR\dp_hash.exe" 0
SectionEnd

Section Uninstaller
 CreateShortCut "$SMPROGRAMS\${PRODUCT}\Uninstall.lnk" "$INSTDIR\uninst.exe" "" "$INSTDIR\uninst.exe" 0
 WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}" "DisplayName" "${PRODUCT} ${VERSION}"
 WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}" "DisplayVersion" "${VERSION}"
 WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}" "URLInfoAbout" "${URLInfoAbout}"
 WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}" "Publisher" "${YourName}"
 WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}" "UninstallString" "$INSTDIR\Uninst.exe"
 WriteRegStr HKCU "Software\${PRODUCT}" "" $INSTDIR
 WriteUninstaller "$INSTDIR\Uninst.exe"
SectionEnd

Function .onInit
!insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

Function un.onUninstSuccess
  HideWindow
  StrCpy $R1 '${PRODUCT} was successfully removed from your computer.'
  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
  StrCpy $R1 '${PRODUCT} was successfully removed from your computer.'
  StrCmp $LANGUAGE ${LANG_GERMAN} 0 +2
  StrCpy $R1 '${PRODUCT} wurde erfolgreich vom Computer entfernt'
  StrCmp $LANGUAGE ${LANG_ITALIAN} 0 +2
  StrCpy $R1 ' stato completamente rimosso dal tuo computer.'
    StrCmp $LANGUAGE ${LANG_CZECH} 0 +2
  StrCpy $R1 'byl spene odebrn z vaeho poctace.'
 MessageBox MB_ICONINFORMATION|MB_OK $R1
FunctionEnd

Function un.onInit
 !insertmacro MUI_UNGETLANGUAGE
  StrCpy $R0 'Are you sure you want to completely remove ${PRODUCT} and all of its components?'
  StrCmp $LANGUAGE ${LANG_ENGLISH} 0 +2
  StrCpy $R0 'Are you sure you want to completely remove ${PRODUCT} and all of its components?'
  StrCmp $LANGUAGE ${LANG_GERMAN} 0 +2
  StrCpy $R0 'Sicher das Du ${PRODUCT} und alle Komponeten entfernen willst?'
  StrCmp $LANGUAGE ${LANG_ITALIAN} 0 +2
  StrCpy $R0 'Sei sicuro di voler completamente rimuovere $(^Name) e tutti i suoi componenti?'
  StrCmp $LANGUAGE ${LANG_CZECH} 0 +2
  StrCpy $R0 'Opravdu chcete plne odebrat ${PRODUCT} a vechny jeho soucsti?'

  MessageBox MB_ICONQUESTION|MB_YESNO $R0 IDYES +2
  Abort
FunctionEnd

Section "Uninstall"

Delete "$INSTDIR\*.*"
Delete "$DESKTOP\dp_hash.lnk"

Delete "$SMPROGRAMS\${PRODUCT}\*.*"
RmDir "$SMPROGRAMS\${PRODUCT}"
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\${PRODUCT}"
DeleteRegKey HKEY_LOCAL_MACHINE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT}"
RMDir /r "$INSTDIR"
DeleteRegKey /ifempty HKCU "Software\${PRODUCT}"

SectionEnd